Get Collection
curl --request GET \
--url https://video.bunnycdn.com/library/{libraryId}/collections/{collectionId} \
--header 'AccessKey: <api-key>'import requests
url = "https://video.bunnycdn.com/library/{libraryId}/collections/{collectionId}"
headers = {"AccessKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {AccessKey: '<api-key>'}};
fetch('https://video.bunnycdn.com/library/{libraryId}/collections/{collectionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"videoLibraryId": 123,
"guid": "<string>",
"name": "<string>",
"videoCount": 123,
"totalSize": 123,
"previewVideoIds": "<string>",
"previewImageUrls": [
"<string>"
]
}Manage Collections
Get Collection
GET
/
library
/
{libraryId}
/
collections
/
{collectionId}
Get Collection
Authorizations
AccessKey based authentication
Query Parameters
Response
The details of the requested collection
The video library ID that contains the collection
The unique ID of the collection
The name of the collection
The number of videos that the collection contains
The total storage size of the collection
The IDs of videos to be used as preview icons
The URLs of preview images of videos in the collection
Last modified on September 9, 2026